summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGary Thomas <gary@mlbassoc.com>2014-02-24 17:11:48 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2014-03-11 08:14:01 -0700
commit5662ab61b4f840aedb7787211c06a8060ed1da74 (patch)
treef01ab475202f322dc960d5775a849d7eac3b198b
parent61e8fdba041c04be05805ed511f2e9dd66f4fdfb (diff)
downloadpoky-5662ab61b4f840aedb7787211c06a8060ed1da74.tar.gz
poky-5662ab61b4f840aedb7787211c06a8060ed1da74.tar.bz2
poky-5662ab61b4f840aedb7787211c06a8060ed1da74.zip
scripts/oe-setup-builddir: Keep track of TEMPLATECONF setting
Keeping track of the TEMPLATECONF variable in the build tree will let this script produce the same output when listing 'conf-notes.txt' every time the script is run, regardless of whether or not TEMPLATECONF has been provided by the user. Note that the default value for TEMPLATECONF now comes from an easily customizable file $OEROOT/.templateconf (From OE-Core rev: 4474357faf2cbca250e99630d749776fbc80d44b) Signed-off-by: Gary Thomas <gary@mlbassoc.com> Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rwxr-xr-xscripts/oe-setup-builddir10
1 files changed, 9 insertions, 1 deletions
diff --git a/scripts/oe-setup-builddir b/scripts/oe-setup-builddir
index adb55c7c38..e4356f1551 100755
--- a/scripts/oe-setup-builddir
+++ b/scripts/oe-setup-builddir
@@ -37,7 +37,15 @@ fi
cd "$BUILDDIR"
-TEMPLATECONF=${TEMPLATECONF:-meta-yocto/conf}
+if (test -f "$BUILDDIR/conf/templateconf.cfg") then
+ TEMPLATECONF=$(cat $BUILDDIR/conf/templateconf.cfg)
+fi
+
+source $OEROOT/.templateconf
+
+if ! (test -f "$BUILDDIR/conf/templateconf.cfg") then
+ echo "$TEMPLATECONF" >$BUILDDIR/conf/templateconf.cfg
+fi
#
# $TEMPLATECONF can point to a directory for the template local.conf & bblayers.conf